# Create transfers Allows creation transfers in bulk Endpoint: POST /transfers/account/{AccountIdentifier}/program/{ProgramCode}/action/create Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `AccountIdentifier` (string, required) Account identifier Example: "098B0A25" - `ProgramCode` (string, required) Any program code. Ref.Data.REGISTRY_PROGRAM_REGI ## Request fields (application/json): - `dryRun` (boolean) If true it will only do the validation of the request but not to create the transfers - `counterpartyRegistryName` (string, required) - `registryTransferPurpose` (string) Enum: "SPOT", "LONG", "REPORTING" - `settlementDate` (string, required) Date when transfers should be settled in EST time zone - `showPriceInRegistry` (boolean) Required for PJM and NEPOOL. Price will be communicated to registry on placement. - `notes` (string) - `transfers` (array, required) - `transfers.externalTransferIdentifier` (string) - `transfers.ein` (string, required) - `transfers.unitPrice` (object) - `transfers.unitPrice.currency` (string, required) Currency (USD etc...) - `transfers.unitPrice.amount` (number, required) The numeric value of the price - `transfers.transferData` (any, required) ## Response 200 fields (application/json): - `transfers` (array) - `transfers.externalTransferIdentifier` (string) - `transfers.transferIdentifier` (string) - `batchIdentifier` (string) EMA transfer batch identifier ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_PROGRAM", "INVALID_REQUEST", "EMPTY_REQUEST", "REQUEST_TOO_LARGE", "SETTLEMENT_DATE_IN_PAST", "SETTLEMENT_DATE_HOLIDAY", "SETTLEMENT_DATE_OUTSIDE_TRADING_WINDOW", "INVALID_COUNTERPARTY_NAME", "INVALID_REGISTRY_TRANSFER_PURPOSE", "INVALID_SHOW_PRICE_IN_REGISTRY", "INVALID_TRANSFERS" - `message` (string) - `errors` (array) ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)